## org.apache.commons.math.analysis
Interface MultivariateMatrixFunction

    public interface MultivariateMatrixFunction

An interface representing a multivariate matrix function.

Since:
  2.0
Version:
  $Revision: 777516 $ $Date: 2009-05-22 09:36:14 -0400 (Fri, 22 May 2009) $

Method Summary
`double[][]` `value(double[] point)` Compute the value for the function at the given point.

Method Detail

### value

    double[][] value(double[] point)
                     throws FunctionEvaluationException,
                            java.lang.IllegalArgumentException

  Compute the value for the function at the given point.

  Parameters:
    `point` - point at which the function must be evaluated
  Returns:
    function value for the given point
  Throws:
    `FunctionEvaluationException` - if the function evaluation fails
    `java.lang.IllegalArgumentException` - if points dimension is wrong

Copyright (c) 2003-2010 Apache Software Foundation